extensional-regular.cpp File Reference
`#include <gecode/int/extensional.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::extensional (Home home, const IntVarArgs &x, DFA d, IntPropLevel ipl=IPL_DEF)
| Post domain consistent propagator for extensional constraint described by a DFA.
void | Gecode::extensional (Home home, const BoolVarArgs &x, DFA d, IntPropLevel ipl=IPL_DEF)
| Post domain consistent propagator for extensional constraint described by a DFA.